List container runs for a workflow run
GET
/v1/workflow-runs/{runId}/container-runscurl -X GET 'https://api.embodiflow.io/v1/workflow-runs/{runId}/container-runs' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- runIdstringrequired
Responses
Success
- dataobjectrequired
- containerRunsarray<ContainerRunSummaryDto>required
- truncatedone ofrequired
Response example
{
"data": {
"containerRuns": [
{
"id": "string",
"tenantId": "string",
"projectId": "string",
"workflowRunId": "string",
"algorithmRevisionId": "string",
"trainingJobId": "string",
"inferenceDeploymentId": "string",
"runKind": "training",
"kind": "processor",
"k8sNamespace": "string",
"k8sJobName": "string",
"k8sPodName": "string",
"k8sPodUid": "string",
"k8sNodeName": "string",
"containerName": "string",
"imageRef": "string",
"resourceRequests": {},
"resourceLimits": {},
"startedAt": "string",
"finishedAt": "string",
"durationSeconds": 0,
"exitCode": 0,
"terminationReason": "string",
"logObjectKey": "string",
"logSizeBytes": "string",
"logTruncated": false,
"logArchivedAt": "string",
"logRetentionExpiresAt": "string",
"createdAt": "string"
}
],
"truncated": false
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1